// import { ofetch } from 'ofetch'

// const API = import.meta.env.VITE_BACKEND

// export default async (api: string, value?: any) => {
//   try {
//     let fetch
//     if (!value) {
//       fetch = await ofetch(API + api, { parseResponse: JSON.parse, retry: 3, retryDelay: 500, retryStatusCodes: [400, 404, 405, 500, 502] })
//     } else {
//       fetch = await ofetch(API + `${api}/${value}`, { parseResponse: JSON.parse, retry: 3, retryDelay: 500, retryStatusCodes: [400, 404, 405, 500, 502] })
//     }
//     const result = fetch.result
//     return result
//   } catch {
//     return []
//   }
// }

import { ofetch } from 'ofetch'

const API = import.meta.env.VITE_BACKEND

export default async (api: string, value?: any, value2?: any) => {
  try {
    let fetch
    if (!value2) {
      if (!value) {
        fetch = await ofetch(API + api, { parseResponse: JSON.parse, retry: 3, retryDelay: 500, retryStatusCodes: [400, 404, 405, 500, 502] })
      } else {
        fetch = await ofetch(API + `${api}/${value}/fetch-data`, { parseResponse: JSON.parse, retry: 3, retryDelay: 500, retryStatusCodes: [400, 404, 405, 500, 502] })
      }
    } else {
      fetch = await ofetch(API + `${api}/${value}/${value2}/fetch-data`, { parseResponse: JSON.parse, retry: 3, retryDelay: 500, retryStatusCodes: [400, 404, 405, 500, 502] })
    }
    const result = fetch.result
    return result
  } catch {
    return []
  }
}
